commfunc.h File Reference

Definitions of some specific functions useful in communications. More...

`#include <itpp/base/mat.h>`
`#include <itpp/base/vec.h>`
`#include <itpp/itexports.h>`

Go to the source code of this file.

## Namespaces

| itpp
| itpp namespace

## Functions

bmat | itpp::graycode (int m)
| Generate Gray code of blocklength m.The codes are contained as binary codewords {0,1} in the rows of the returned matrix. See also the `gray()` function in `math/scalfunc.h`.
int | itpp::hamming_distance (const bvec &a, const bvec &b)
| Calculate the Hamming distance between a and b.
int | itpp::weight (const bvec &a)
| Calculate the Hamming weight of a.
vec | itpp::waterfilling (const vec &alpha, double P)
| Compute the water-filling solutionThis function computes the solution of the water-filling problem subject to . More...

## Detailed Description

Definitions of some specific functions useful in communications.

Author
  Tony Ottosson and Erik G. Larsson

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file commfunc.h.

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13